#flatearth {
    position: sticky;
    left: 0;
    overflow: hidden;
    font-size: 16px;
    width: max-content;
    top: 0;
}

	#flatearth .earth {
		width: 700px;
		height: 700px;
		background-image: url(earth.png);
		background-size: contain;
		background-position: center;
		background-repeat: no-repeat;
		border-radius: 50%;
		overflow: hidden;
		aspect-ratio: 1 / 1;
		z-index: 2;
		position: relative;
		margin: 1em auto;
	}

		#flatearth .sun, #flatearth .moon {
			position: absolute;
			top: 50%;
			left: 50%;
			width: 50px;
			height: 50px;
			border-radius: 50%;
		}
		
		#flatearth .sun { background-color: yellow; }
		#flatearth .moon { background-color: gray; }
			
		#flatearth .sun svg {
			content: "";
			display: block;
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%, -50%);
			background-size: contain;
		}

		#flatearth input[type="datetime-local"] {
			margin: 1em;
			padding: .75em;
			font-size: 1em;
			z-index: 1;
		}

		#flatearth span {
			color: #000;
			background: #fff;
			display: inline-block;
			padding: .75;
			position: absolute;
			left: 1em;
			bottom: 1em;
			font-size: 1em;
			z-index: 1;
		}
	
	#flatearth .themeToggle {
		margin: 0 1em 1em 1em;
		background: #fff;
		width: max-content;
		padding: .5em;
	}

@media (max-width: 720px) {
	
	body {
		font-size: 12px;
	}

	#flatearth .earth {
		zoom: 0.5;
	}
	
}